Magick::CoderInfo Class Reference

`#include <CoderInfo.h>`

## Public Types

enum | MatchType { AnyMatch, TrueMatch, FalseMatch }

## Public Member Functions

| CoderInfo (void)
| CoderInfo (const CoderInfo &coder_)
| CoderInfo (const std::string &name_)
| ~CoderInfo (void)
CoderInfo & | operator= (const CoderInfo &coder_)
bool | canReadMultithreaded (void) const
bool | canWriteMultithreaded (void) const
std::string | description (void) const
bool | isMultiFrame (void) const
bool | isReadable (void) const
bool | isWritable (void) const
std::string | mimeType (void) const
std::string | module (void) const
std::string | name (void) const
bool | unregister (void) const

## Detailed Description

Definition at line 21 of file CoderInfo.h.

## Member Enumeration Documentation

## MatchType

enum Magick::CoderInfo::MatchType

Enumerator
AnyMatch |
TrueMatch |
FalseMatch |

Definition at line 25 of file CoderInfo.h.

## Constructor & Destructor Documentation

## CoderInfo() [1/3]

Magick::CoderInfo::CoderInfo | ( | void |  | ) |

Definition at line 20 of file CoderInfo.cpp.

## CoderInfo() [2/3]

Magick::CoderInfo::CoderInfo | ( | const CoderInfo & | coder_ | ) |

Definition at line 33 of file CoderInfo.cpp.

## CoderInfo() [3/3]

Magick::CoderInfo::CoderInfo | ( | const std::string & | name_ | ) |

Definition at line 46 of file CoderInfo.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowPPException.

## ~CoderInfo()

Magick::CoderInfo::~CoderInfo | ( | void |  | ) |

Definition at line 85 of file CoderInfo.cpp.

## Member Function Documentation

## canReadMultithreaded()

bool Magick::CoderInfo::canReadMultithreaded | ( | void |  | ) | const

Definition at line 107 of file CoderInfo.cpp.

## canWriteMultithreaded()

bool Magick::CoderInfo::canWriteMultithreaded | ( | void |  | ) | const

Definition at line 112 of file CoderInfo.cpp.

## description()

std::string Magick::CoderInfo::description | ( | void |  | ) | const

Definition at line 117 of file CoderInfo.cpp.

## isMultiFrame()

bool Magick::CoderInfo::isMultiFrame | ( | void |  | ) | const

Definition at line 132 of file CoderInfo.cpp.

Referenced by Magick::coderInfoList().

## isReadable()

bool Magick::CoderInfo::isReadable | ( | void |  | ) | const

Definition at line 122 of file CoderInfo.cpp.

Referenced by Magick::coderInfoList().

## isWritable()

bool Magick::CoderInfo::isWritable | ( | void |  | ) | const

Definition at line 127 of file CoderInfo.cpp.

Referenced by Magick::coderInfoList().

## mimeType()

std::string Magick::CoderInfo::mimeType | ( | void |  | ) | const

Definition at line 137 of file CoderInfo.cpp.

## module()

std::string Magick::CoderInfo::module | ( | void |  | ) | const

Definition at line 142 of file CoderInfo.cpp.

## name()

std::string Magick::CoderInfo::name | ( | void |  | ) | const

Definition at line 147 of file CoderInfo.cpp.

## operator=()

Magick::CoderInfo & Magick::CoderInfo::operator= | ( | const CoderInfo & | coder_ | ) |

Definition at line 89 of file CoderInfo.cpp.

## unregister()

bool Magick::CoderInfo::unregister | ( | void |  | ) | const

Definition at line 152 of file CoderInfo.cpp.

The documentation for this class was generated from the following files:

- CoderInfo.h
- CoderInfo.cpp